Xerces Native Interface: Interface XMLGrammarLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.grammars
Interface XMLGrammarLoader

public interface XMLGrammarLoader

The intention of this interface is to provide a generic means by which Grammar objects may be created without parsing instance documents. Implementations of this interface will know how to load specific types of grammars (e.g., DTD's or schemas); a wrapper will be provided for user applications to interact with these implementations.

Version:
  $Id: XMLGrammarLoader.java,v 1.1 2002/05/23 16:46:01 neilg Exp $
Author:
  Neil Graham, IBM

Method Summary
`XMLEntityResolver` | `getEntityResolver()` Returns the registered entity resolver.
`XMLErrorHandler` | `getErrorHandler()` Returns the registered error handler.
`boolean` | `getFeature(java.lang.String featureId)` Returns the state of a feature.
`java.util.Locale` | `getLocale()` Return the Locale the XMLGrammarLoader is using.
`java.lang.Object` | `getProperty(java.lang.String propertyId)` Returns the state of a property.
`java.lang.String[]` | `getRecognizedFeatures()` Returns a list of feature identifiers that are recognized by this XMLGrammarLoader.
`java.lang.String[]` | `getRecognizedProperties()` Returns a list of property identifiers that are recognized by this XMLGrammarLoader.
`Grammar` | `loadGrammar(XMLInputSource source)` Returns a Grammar object by parsing the contents of the entity pointed to by source.
`void` | `setEntityResolver(XMLEntityResolver entityResolver)` Sets the entity resolver.
`void` | `setErrorHandler(XMLErrorHandler errorHandler)` Sets the error handler.
`void` | `setFeature(java.lang.String featureId, boolean state)` Sets the state of a feature.
`void` | `setLocale(java.util.Locale locale)` Set the locale to use for messages.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object state)` Sets the state of a property.

Method Detail

### getRecognizedFeatures

    public java.lang.String[] getRecognizedFeatures()

  Returns a list of feature identifiers that are recognized by this XMLGrammarLoader. This method may return null if no features are recognized.

### getFeature

    public boolean getFeature(java.lang.String featureId)
                       throws XMLConfigurationException

  Returns the state of a feature.
  Parameters:
    `featureId` - The feature identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Sets the state of a feature.
  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `XMLConfigurationException` - Thrown when a feature is not recognized or cannot be set.

### getRecognizedProperties

    public java.lang.String[] getRecognizedProperties()

  Returns a list of property identifiers that are recognized by this XMLGrammarLoader. This method may return null if no properties are recognized.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyId)
                                 throws XMLConfigurationException

  Returns the state of a property.
  Parameters:
    `propertyId` - The property identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object state)
                     throws XMLConfigurationException

  Sets the state of a property.
  Parameters:
    `propertyId` - The property identifier.
    `state` - The state of the property.
  Throws:
    `XMLConfigurationException` - Thrown when a property is not recognized or cannot be set.

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale to use for messages.
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `XNIException` - Thrown if the parser does not support the specified locale.

### getLocale

    public java.util.Locale getLocale()

  Return the Locale the XMLGrammarLoader is using.

### setErrorHandler

    public void setErrorHandler(XMLErrorHandler errorHandler)

  Sets the error handler.
  Parameters:
    `errorHandler` - The error handler.

### getErrorHandler

    public XMLErrorHandler getErrorHandler()

  Returns the registered error handler.

### setEntityResolver

    public void setEntityResolver(XMLEntityResolver entityResolver)

  Sets the entity resolver.
  Parameters:
    `entityResolver` - The new entity resolver.

### getEntityResolver

    public XMLEntityResolver getEntityResolver()

  Returns the registered entity resolver.

### loadGrammar

    public Grammar loadGrammar(XMLInputSource source)
                        throws java.io.IOException,
                               XNIException

  Returns a Grammar object by parsing the contents of the entity pointed to by source.
  Parameters:
    `source` - the location of the entity which forms the starting point of the grammar to be constructed.
  Throws:
    `java.io.IOException` - When a problem is encountered reading the entity XNIException When a condition arises (such as a FatalError) that requires parsing of the entity be terminated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.